Skip to main content
`Ctrl`+`K`

# PetscSFGetLeafRanks

Get leaf MPI ranks referencing roots on this process

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetLeafRanks(PetscSF sf, PetscMPIInt *niranks, const PetscMPIInt *iranks[], const PetscInt *ioffset[], const PetscInt *irootloc[])

Not Collective

## Input Parameter

- sf - star forest

## Output Parameters

- niranks - number of leaf MPI processes referencing roots on this process

- iranks - [`niranks`] array of MPI ranks

- ioffset - [`niranks`+1] offset in `irootloc` for each MPI process

- irootloc - [`ioffset`[`niranks`]] concatenated array holding local indices of roots referenced by each leaf MPI process

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFGetRootRanks()`

## Level

developer

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/vec/is/sf/tutorials/ex1f.F90

## Implementations

PetscSFGetLeafRanks_Allgatherv() in src/vec/is/sf/impls/basic/allgatherv/sfallgatherv.c
PetscSFGetLeafRanks_Basic() in src/vec/is/sf/impls/basic/sfbasic.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages